import { Component, Input } from '@angular/core';
import { ModalService } from 'src/services/modal/modal.service';

@Component({
  selector: 'app-simple-item-modal',
  templateUrl: './simple-item-modal.component.html',
  styleUrl: './simple-item-modal.component.scss',
})
export class SimpleItemModalComponent {
  public constructor(private modalAccessor: ModalService) {}
  @Input() public item: any;

  public cancel(): void {
    this.modalAccessor.handleModalClosing('cancel', undefined);
  }

  public update(): void {
    this.modalAccessor.handleModalClosing('update', this.item);
  }
}
