export interface Spell {
  name: string;
  level: number;
  cost: string;
  canRitual: boolean;
  needsConcentration: boolean;
  needsVerbal: boolean;
  needsSomatic: boolean;
  needsMaterial: boolean;
  school: string;
  description: string;
  needsAttackRoll: boolean;
  needsSavingThrow: boolean;
  savingThrowAttribute?: string;
  isRanged: boolean;
  range?: number;
  hasAreaOfEffect: boolean;
  radius?: number;
  areaOfEffectType?: string;

  doesDamage: boolean;
  attackBonus?: string;
  damage?: Damage[];
  doesHeal: boolean;
  healAmount?: Heal;
}

interface Damage {
  diceNumber: string;
  diceType: string;
  damageType: string;
  additionalDamage?: string;
}

interface Heal {
  diceNumber: string;
  diceType: string;
  additionalHeal?: number;
}
